if (nchar(installed.packages()[,'Package']['Cairo'])==5) { 
  library("Cairo"); 
  if (Cairo.capabilities()['png']) { 
    CairoPNG("plot.png") 
  } else { 
    pdf("plot.pdf") }
  } else { pdf("plot.pdf") 
}

x = c(30, 35, 40, 45, 50, 55, 60)
u = c(7308,94708,643112,1510460,2511216,3498509,4408503)
v = c(476229,980711,1654282,2436739,3262721,4084071,4870995)

par(mar=c(4,4,2,2)+0.1)
plot(x,v,ylim=c(0,5e6),yaxt="n",xlab="Efficiency (in %)",ylab="P&L (in EUR)", type="b",pch=0)
points(x,u,pch=3,type="b",lty=1)
legend(x=32,y=5e6,legend=c("Intrinsic (MIP)","TotalValue (MC+MIP)"),pch=c(3,0))
axis(2, c(0, 1e6, 2e6, 3e6, 4e6, 5e6), expression(0, 10^6, '2*'*10^6, '3*'* 10^6, '4*'*10^6, '5*'* 10^6) )

dev.off()

